#
# spec file for package linux_pcnfsd2 (Version 1.6)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           linux_pcnfsd2
License:        zlib
Group:          Networking/File transfer
Requires:       net-tools
AutoReqProv:    on
Version:        1.6
Release:        %mkrel 4
Summary:        RPC Server That Supports ONC Clients
Source:         linux_pcnfsd2.tar.gz
Source1:        pcnfsd
Source2:        sysconfig.pcnfsd
Patch1:         linux_pcnfsd2.dif
Patch2:         linux_pcnfsd2-format-security.patch
Url:            https://build.opensuse.org/package/show/openSUSE:Leap:42.1/linux_pcnfsd2

%description
RPC server that supports ONC clients on PC (DOS, OS/2, Macintosh, and
other) systems.

%prep
%setup -q -n %{name}
%patch1
%patch2 -p1 -b .FMT

%build
make -f Makefile.linux

%install
install -d -m 755 $RPM_BUILD_ROOT{/usr/sbin,%{_mandir}/man8}
install linux/clnt.pcnfsd linux/rpc.pcnfsd $RPM_BUILD_ROOT/usr/sbin
install -m 644 pcnfsd.8c $RPM_BUILD_ROOT/%{_mandir}/man8
ln -sf pcnfsd.8c.gz $RPM_BUILD_ROOT/%{_mandir}/man8/rpc.pcnfsd.8c.gz
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{S:2} $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -d $RPM_BUILD_ROOT/etc/init.d
install -m 744 %{S:1} $RPM_BUILD_ROOT/etc/init.d/
ln -sf ../../etc/init.d/pcnfsd $RPM_BUILD_ROOT/usr/sbin/rcpcnfsd

%post
%_post_service pcnfsd

%preun
%_preun_service pcnfsd

%files
%doc README
%doc %{_mandir}/man8/*
/usr/sbin/*
%config /etc/init.d/*
/var/adm/fillup-templates/sysconfig.pcnfsd



%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.6-4.mga8
+ Revision: 1514733
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.6-3.mga7
+ Revision: 1299317
- Mageia 7 Mass Rebuild

* Tue Jun 21 2016 shlomif <shlomif> 1.6-2.mga6
+ Revision: 1037031
- Remove unnecessary info from the description - thanks to tv

* Tue Jun 21 2016 shlomif <shlomif> 1.6-1.mga6
+ Revision: 1037025
- Fix rel tag
- Importing from openSUSE - thanks


* Tue Mar 27 2012 cfarrell@suse.com
- license update: Zlib
  The obligations in this license (see common.h) are most akin to those in
  the Zlib license (which is a recognised SPDX license)
* Wed May  5 2010 meissner@suse.de
- fixed some implicit warnings
- rely on the portmap requires, do not check
  for portmap in the initscript (as it was renamed).
* Mon Nov 23 2009 meissner@suse.de
- fixed some implicit warnings
- portmap -> $portmap
* Wed Aug 27 2008 ro@suse.de
- fix init script
* Wed May 24 2006 schwab@suse.de
- Use RPM_OPT_FLAGS.
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 postadal@suse.cz
- modified init script
- added sysconfig metadata [#28917]
- use new stop_on_removal/restart_on_upate macros
* Fri Jan  3 2003 postadal@suse.cz
- added metadata in sysconfig template
* Fri Aug 16 2002 postadal@suse.cz
- added %%insserv_prereq and %%fillup_prereq to PreReq [#17883]
* Sat Jul 27 2002 adrian@suse.de
- do not use rc.config anymore
* Wed Dec 12 2001 ro@suse.de
- moved rc.config.d -> sysconfig
* Mon Dec 10 2001 cihlar@suse.cz
- removed START_PCNFSD
* Tue Apr 24 2001 cihlar@suse.cz
- added init script
* Thu Feb 22 2001 cihlar@suse.cz
- package separated from nkita
